# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Aug  8 00:29:30 2024
# ------------------------------------------------

package:
  name: sigprofilerplotting
  version: 1.3.24
source:
  sha256: 99be52760ff9cac55d075035580d256a28e99e8dbd5a7c67f45f1451d4d8ffcd
  url: https://pypi.io/packages/source/s/sigProfilerPlotting/sigprofilerplotting-1.3.24.tar.gz
build:
  entry_points:
    - SigProfilerPlotting=sigProfilerPlotting.sigProfilerPlotting_CLI:main_function
  noarch: python
  number: '0'
  run_exports:
    - sigprofilerplotting >=1.3.24,<2.0a0
  script: /opt/conda/conda-bld/sigprofilerplotting_1723077289558/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . -vvv --no-deps --no-build-isolation --no-cache-dir
  string: pyhdfd78af_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.7.4 hbcca054_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.46.0 hde9e2c9_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 h4ab18f5_1
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.1 h4bc722e_2
    - pip 24.2 pyhd8ed1ab_0
    - python 3.12.4 h194c7f8_0_cpython
    - readline 8.2 h8228510_1
    - setuptools 72.1.0 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024a h0c530f3_0
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - matplotlib-base >=3.4.3
    - pandas >=1.2.4,<2.0.0
    - pillow >=10.0.0
    - python >=3.7
    - scikit-learn >=1.1.3
test:
  commands:
    - SigProfilerPlotting plotSBS --help
  imports:
    - sigProfilerPlotting
about:
  dev_url: https://github.com/alexandrovlab/SigProfilerPlotting
  doc_url: https://osf.io/2aj6t/wiki/home
  home: https://github.com/alexandrovlab/SigProfilerPlotting
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: SigProfiler plotting tool.
extra:
  copy_test_source_files: true
  final: true
